Bug 597146 - Configuration-coherence of an async cluster via luci
Configuration-coherence of an async cluster via luci
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 04:57 EDT by Frederik Bijlsma
Modified: 2016-05-31 21:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-22 16:45:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederik Bijlsma 2010-05-28 04:57:08 EDT
Description of problem:

Generally looking into more asynchronous clustering, luci needs ways to handle multi site (asynchronous) clusters. One of the problems is that asynchronous cluster don't need any automatic failover but a most possible coherent config set for the cluster services, with some sets being "local" data and some being "global" data:
- service names etc (global definitions)
- node names (site specific)

see below conversation with pmyers:

> So ideally perhaps one could define an asynchronous site in cluster.conf
> just for the sake of configuration coherence.
> So e.g. the 3rd site node would just get config updates etc, but not
> take part in the synchronous cluster.
Well, config updates are generally site specific (i.e. hostnames of nodes
and of fence devices)  So not sure how useful this would be.

Perhaps luci functionality for defining a cluster and it's mirror, and
making it clearly defined what are site specific config options vs. common
(i.e. nodenames, fencing devices would be site specific.  service
definitions/failover domains could be common)

File an RFE bug against luci in RHEL6 bz on this please.
Comment 2 RHEL Product and Program Management 2010-06-07 12:01:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Lon Hohberger 2011-08-22 16:27:37 EDT
Configuration of clusters in stretch environments is limited to the use cases set forth in the linked Knowledge Base article; as such, the usefulness of this is limited.
Comment 6 RHEL Product and Program Management 2011-08-22 16:45:16 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.